useandroidx - what are androidx artifacts




Erro de plug-in: o plug-in obrigatório "Suporte Android" está desativado (7)

A solução https://stackoverflow.com/a/40055520/1587329 também funciona no Linux:

Arquivo -> Configurações -> Plugins -> Ativar suporte para Android

Ou clique em Redefinir no canto superior direito.

Eu tenho um erro de plug-in no meu logcat

   10:08:28 PM Plugin Error
        Problems found loading plugins:
        Plugin "Google Analytics Uploader" was not loaded: required plugin "Android Support" is disabled.
        Plugin "SDK Updater" was not loaded: required plugin "Android Support" is disabled.
        Plugin "Android NDK Support" was not loaded: required plugin "Android Support" is disabled.
        Plugin "Google App Indexing" was not loaded: required plugin "Android Support" is disabled.
        Plugin "Google Cloud Tools For Android Studio" was not loaded: required plugin "Android Support" is disabled.
        Plugin "Google Cloud Testing" was not loaded: required plugin "Android Support" is disabled.
        Plugin "Google Services" was not loaded: required plugin "Android Support" is disabled.
        Disable not loaded plugins
        Enable Android Support
        Open plugin manager
 10:08:32 PM Error Loading Project: Cannot load 3 facets Details...

Isso aconteceu depois que eu deixei meu laptop para dormir e quando abri o android studio, esse erro apareceu. Agora não posso executar meu projeto.


Corri para o mesmo erro. Aqui está como eu consertei isso, pelo menos temporariamente (até que os profissionais mostrem a melhor maneira de consertar isso).

(On a Mac) Go to Android Studio -> Preferences -> Plugins. 

Você notará que o plug-in "Suporte Android" está desmarcado. Desmarque o plug-in "Google Cloud Testing" e, em seguida, verifique o plug-in "Android Support" . Clique no botão Aplicar e clique em OK . O IDE solicitará que você reinicie para efetivar as alterações. Pressione OK e quando o IDE reiniciar, seu código deverá estar funcionando bem.


Eu também enfrentei esse problema. Se você desmarcar e verificar algum plug-in de dependência (cor vermelha), o IDE exibirá uma caixa de diálogo para permitir que "Suporte do Android" aceite e reinicie o problema do IDE.


Eu tive o mesmo problema e não consegui ativar o plug-in de suporte do Android. Desativei os plug-ins do Google Cloud e do Firebase e, em seguida, o plug-in de suporte do Android. Após o reinício do AS, pude reativar os plugins do Google Cloud e Firebase.


Se você estiver instalando em um PC que definiu o idioma padrão, além do inglês (no meu caso, era hindi), o android studio não será iniciado. então, primeiro mude o idioma do sistema para inglês. já enfrentei esse problema duas vezes.


Vá para Settings->Plugins->IDE Settings e apenas desative e ative novamente os plug-ins necessários.


  • Abra o arquivo c: \ users \ username.AndroidStudio2.3 \ config \ disabled_plugins.txt
  • exclua a linha "org.jetbrains.android"
  • reiniciar o Android Studio






android-support-library